Debian Bug report logs - #637684
debian-installer: grub-install fails with "grub-probe: cannot find a GRUB drive" due to missing proc directory

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Nikolaus Rath <Nikolaus@rath.org>

Date: Sat, 13 Aug 2011 17:51:01 UTC

Severity: important

Fixed in version grub-installer/1.76

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#637684; Package debian-installer. (Sat, 13 Aug 2011 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nikolaus Rath <Nikolaus@rath.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 13 Aug 2011 17:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nikolaus Rath <Nikolaus@rath.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: grub-install fails with "grub-probe: cannot find a GRUB drive" due to missing proc directory
Date: Sat, 13 Aug 2011 13:47:46 -0400
Package: debian-installer
Severity: important

This problem was observed with the installer shipped in Aug 13th's
http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/amd64/iso-cd
/debian-testing-amd64-netinst.iso.

The grub installation step failed with:

"grub-probe: cannot find a GRUB drive for /dev/mapper/vg0-root"

Manually mounting proc in /target/proc and re-running the grub install step
fixes the problem.



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#637684; Package debian-installer. (Fri, 19 Aug 2011 02:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gedalya <gedalya@gedalya.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 19 Aug 2011 02:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 637684@bugs.debian.org (full text, mbox):

From: Gedalya <gedalya@gedalya.net>
To: 637684@bugs.debian.org
Subject: debian-installer: grub-install fails with "grub-probe: cannot find a GRUB drive" due to missing proc directory
Date: Thu, 18 Aug 2011 22:01:31 -0400
This happened to me today using the daily netinst from 2011-08-18.
Was installing on lvm over raid1, both /boot and / are lvm logical volumes.

Fixed as described.

Gedalya





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#637684; Package debian-installer. (Sun, 28 Aug 2011 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 28 Aug 2011 15:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 637684@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 637684@bugs.debian.org
Cc: Gedalya <gedalya@gedalya.net>
Subject: Re: Bug#637684: debian-installer: grub-install fails with "grub-probe: cannot find a GRUB drive" due to missing proc directory
Date: Sun, 28 Aug 2011 15:56:39 +0100
[Message part 1 (text/plain, inline)]
I'm a attaching a syslog from a failed installation under virtualbox.

-- 
Melhores cumprimentos/Best Regards,

Miguel Figueiredo
http://www.DebianPT.org
[syslog.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#637684; Package debian-installer. (Tue, 19 Jun 2012 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Patrick Ringl" <Patrick.Ringl@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 19 Jun 2012 13:15:07 GMT) Full text and rfc822 format available.

Message #20 received at 637684@bugs.debian.org (full text, mbox):

From: "Patrick Ringl" <Patrick.Ringl@gmx.de>
To: 637684@bugs.debian.org
Subject: bug still persists
Date: Tue, 19 Jun 2012 15:10:09 +0200
Hi,

this bug is still relevant .. it hit me today using the weekly wheezy build (18-Jun-2012 07:31).


regards,
Patrick
-- 
NEU: FreePhone 3-fach-Flat mit kostenlosem Smartphone!                                  
Jetzt informieren: http://mobile.1und1.de/?ac=OM.PW.PW003K20328T7073a




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#637684; Package debian-installer. (Wed, 27 Jun 2012 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Joseph M. Deming" <joseph.deming@matrix.msu.edu>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 27 Jun 2012 20:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 637684@bugs.debian.org (full text, mbox):

From: "Joseph M. Deming" <joseph.deming@matrix.msu.edu>
To: <637684@bugs.debian.org>
Subject: Confirm Still Prevalent In Debian Sid
Date: Wed, 27 Jun 2012 15:54:26 -0400
almost positive i'm seeing the same thing here in Sid with vanilla 
install in chroot environment.  i swear my grub-install script used to 
work, here's some evidence:

grub-install /dev/disk/by-id/ata-WDC_WD800AAJS-18TDA1_WD-WMAM9RD59819
/usr/sbin/grub-probe: error: cannot find a GRUB drive for 
/dev/disk/by-id/ata-WDC_WD800AAJS-18TDA1_WD-WMAM9RD59819.  Check your 
device.map.

cat /proc/mounts (in chroot)
rootfs / rootfs rw 0 0
sysfs /sys sysfs rw,nosuid,nodev,noexec,relatime 0 0
proc /proc proc rw,nosuid,nodev,noexec,relatime 0 0
udev /dev devtmpfs rw,relatime,size=506288k,nr_inodes=126572,mode=755 0 0
devpts /dev/pts devpts rw,nosuid,noexec,relatime,mode=600,ptmxmode=000 0 0
tmpfs /run tmpfs rw,nosuid,relatime,size=205340k,mode=755 0 0
XX.XX.XX.XX:/srv/fai/nfsroot/ /live/image nfs 
ro,relatime,vers=3,rsize=262144,wsize=262144,namlen=255,hard,nolock,proto=tcp,port=65535,timeo=7,retrans=3,sec=sys,local_lock=all,addr=35.9.18.14 
0 0
tmpfs /live/cow tmpfs rw,noatime,mode=755 0 0
aufs / aufs rw,noatime,si=47a0f2b47fd6801d,noxino 0 0
tmpfs /live tmpfs rw,relatime 0 0
faihost:/srv/fai/config /var/lib/fai/config nfs4 
ro,noatime,vers=4,rsize=262144,wsize=262144,namlen=255,acregmin=1800,acregmax=1800,acdirmin=1800,acdirmax=1800,hard,proto=tcp,port=0,timeo=600,retrans=2,sec=sys,clientaddr=35.9.18.75,minorversion=0,local_lock=none,addr=35.9.18.14 
0 0
usbfs /proc/bus/usb usbfs rw,relatime 0 0
/dev/sda2 / ext3 
rw,noatime,errors=remount-ro,user_xattr,acl,barrier=0,data=ordered 0 0
proc /proc proc rw,relatime 0 0
sysfs /sys sysfs rw,relatime 0 0
udev /dev devtmpfs rw,relatime,size=506288k,nr_inodes=126572,mode=755 0 0
devpts /dev/pts devpts rw,relatime,mode=600,ptmxmode=000 0 0

cat /boot/grub/device.map (in chroot)
(hd0)    /dev/disk/by-id/ata-WDC_WD800AAJS-18TDA1_WD-WMAM9RD59819

not sure how more exact that could be.  for the record, grub-install 
/dev/sda worked, but due to automated build scenario this is not really 
ideal here.

grub-mkdevicemap manually seems to re-create that same file also....

-- 
Joseph M. Deming
System Administrator
MATRIX/History
415 Nat Sci Bldg
East Lansing, MI 48824
(517) 884-2472
joseph.deming@matrix.msu.edu





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#637684; Package debian-installer. (Wed, 01 Aug 2012 15:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 01 Aug 2012 15:45:05 GMT) Full text and rfc822 format available.

Message #30 received at 637684@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 637684@bugs.debian.org
Subject: /target/etc/fstab stopped containing /proc
Date: Wed, 1 Aug 2012 11:42:23 -0400
[Message part 1 (text/plain, inline)]
As /proc is mounted by boot scripts now, partman was changed to not
put it in fstab, but this broke grub-installer, which relied on "mount /proc"
working.

I've fixed this in grub-installer.

(That doesn't explain the 2011 reports of proc mounting problems, which
well predate that change, but since grub-installer also explicitly
mounts /proc at the start, I'll assume that also covers them.)

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 03 Aug 2012 08:51:08 GMT) Full text and rfc822 format available.

Notification sent to Nikolaus Rath <Nikolaus@rath.org>:
Bug acknowledged by developer. (Fri, 03 Aug 2012 08:51:08 GMT) Full text and rfc822 format available.

Message #35 received at 637684-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 637684-close@bugs.debian.org
Subject: Bug#637684: fixed in grub-installer 1.76
Date: Fri, 03 Aug 2012 08:47:25 +0000
Source: grub-installer
Source-Version: 1.76

We believe that the bug you reported is fixed in the latest version of
grub-installer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637684@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated grub-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 03 Aug 2012 09:43:34 +0200
Source: grub-installer
Binary: grub-installer
Architecture: source amd64
Version: 1.76
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 grub-installer - Install GRUB on a hard disk (udeb)
Closes: 613430 637684
Changes: 
 grub-installer (1.76) unstable; urgency=low
 .
   [ Joey Hess ]
   * Fix /proc mounting code to use linprocfs on kFreeBSD. Closes: #613430
   * Remove code that relies on target fstab containing /proc, which it no
     longer does. Closes: #637684
 .
   [ Updated translations ]
   * Irish (ga.po) by Kevin Patrick Scannell
Checksums-Sha1: 
 8ba622f95c59bdbb2dc84bff9cf99231262bcef3 1787 grub-installer_1.76.dsc
 180b704d5cca602872cf25d192d9b9fd3386f206 211227 grub-installer_1.76.tar.gz
 e9b503a112ac666b06f603fe1cd0ddb606607bbe 195352 grub-installer_1.76_amd64.udeb
Checksums-Sha256: 
 356343ede466c199ba6ea0cdd7077e96ece86b18bce69d7bbd15bb348a324bd0 1787 grub-installer_1.76.dsc
 809d679dd58277f807f3beb859cf3b2cbcef0843599381eab9ceca6a3badeb7d 211227 grub-installer_1.76.tar.gz
 73ad5248829d6ca2ffb5080858e3d0b77163cd2c98c87c0f60fdfedd66db3eb8 195352 grub-installer_1.76_amd64.udeb
Files: 
 7dfd141c2ee1ea5256fa91e04a798774 1787 debian-installer standard grub-installer_1.76.dsc
 f72d7329d1e7229317e56a2664ac2a49 211227 debian-installer standard grub-installer_1.76.tar.gz
 fa9f57f20dbb21ea43c6f46ae5385e2c 195352 debian-installer standard grub-installer_1.76_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQG4drAAoJEDEBgAUJBeQMiIYP/3qWn/Tp7zoCV6S5N2Av4DbX
KNiV+Wc7PCCQMEmYt9fTpsy/jhcQaxXKCRRLlnIOo5zPbcSCTX7KF5XoBxrUAqNQ
WZ6vvWRG6EUm7bqAt4GhCVhNxGrdl+1cXhap0U6ez0clLk2Lqp7W6WuP7cKkWday
8gSjuKmt/1tbD0CnfNTKQ/LtRVR+LPwXMXwCSY+twiZ7NMmDSkHqmL00ZCr0sjIK
FKQiwYYc8JpLvkfkU0yZyMLO4N0QC1WmiNQIZyY99i4ZVPjR5/gYci1t+eYxRjIr
BQ0+CJpQJv2TIUAyaTc+FSDcZOzRTDosy6+IjYzEpMDFMDzovE2DBiAb7LV1jQNY
Y7uORo23NYLJSClZNBM6vVg8pYiRrgl3PQvGEhV+GCTM6XmI7dcoNisp+eueRPk0
spusC1EBr24ysTMp8bIoQ1/jr1G9sQCOAuCxEv/xMXNQPoy8X+OYJQ+TGEcqqNll
XbwncUIaIcFaauCchZCpTyYoY0z6fVF37x4oiVu5NkWlS24KMUrc32rGvnfkuKGw
G1iQUGxASMkcOzArWN4KUrdDncG1xfCrHiWivZHE3nFfJWyyTDXIHbOvG6xFN+T2
F0100DkKcHoo6CD/fvv0kvLlk54hHawSQui9TPy0SEe4FFhdBrSLnC/2cW4f3fDu
Y5NwurSmnMQjpDaio85p
=y4xZ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Sep 2012 07:31:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:53:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.